Category:  Estimated time: 0.00 hour

Target version:    
Description

Hi all,

I am running Redmine 0.8.4 on HostingRails.com. I got through the install without spilling too much blood (I'm new to Rails). I'm

running the app through fastcgi and got it coming up.

Here's my problem, there's no main menu! I haven't a clue even where to start to look for a solution to this problem.

I tried to get my environment info as recommended for posting to this forum. But that fails with:

/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- rails/info

(MissingSourceFile)

The working version of Rails on the host is at 2.3.2

I don't know if that is the same as the version installed in vendor/rails and I don't know if that matters.

I am confused about an application needing a specific version of Rails put into vendor/rails but then doing all the command line stuff

with a different version running on the host.

What I'm hoping someone on this forum can do is give some clue as to where to start looking for the cause of the missing main-menu

problem.

Other than the main-menu, the Redmine is working fine. I can create users, login using their credentials etc. The missing menu

business is really strange. I don't see how it could just not be there.

I tried running under webrick. But when I browse to my port, I still have no main menu.

Any ideas?

History

#1 - 2009-06-10 22:06 - Steven Bartley

Sorry folks, I meant to try to find a solution on the forum before bothering you. Some how I got myself turned around. However, since it happened,

perhaps you have an idea of what's happening. Any help would be greatly appreciated as I'm at a total loss.

Again, sorry for the mis-post.

#2 - 2009-06-11 01:18 - Mischa The Evil

- Status changed from New to Resolved

Discussed on the forum: http://www.redmine.org/boards/2/topics/6777. This issue can be closed with resolution invalid if Steven confirms it were

configuration-problems.

For now it looks resolved.

#3 - 2009-06-11 03:39 - Mischa The Evil

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.4)

- Resolution set to Invalid
- Affected version deleted (0.8.4)

Confirmed that it was a configuration-problem (no created projects).
